Skip to main content
GET
Show Transaction by Merchant.
Use provider_transaction_id as the provider’s transaction identifier. client_fee is the partner fee, while orki_fee is Orki’s platform fee; both are separate fields and are denominated by their companion currency fields.The fee amounts and companion currency fields use the same names and null behavior as transaction webhooks. Fee amounts are returned as decimal strings so they can be parsed without floating-point loss.fiat_amount is the provider-reported base fiat transaction amount before separately itemized fees. The fee fields are not subtracted from it.

Authorizations

X-ORKI-API-KEY
string
header
required

Path Parameters

transaction_id
string
required

The ID of the transaction.

Response

200 - application/json

Transaction fetched successfully

msg
string
Example:

"Transaction fetched successfully"

data
object
success
boolean
Example:

true

code
integer
Example:

200